#
# RPM Spec for Cocoon-1.7
#   This does not actually do a build but depends on pre-built jar files.
#
Summary: The XML transformation system built for Apache
Name: cocoon
Version: 1.7.4
Release: 1
Copyright: Apache
Group: Applications/Internet
%define jarname Cocoon
Source: http://xml.apache.org/cocoon/dist/%{jarname}-%{version}.tar.gz
Source2: add-%{name}-jserv
Source3: remove-%{name}-jserv
Source4: add-%{name}-tomcat
Source5: remove-%{name}-tomcat
URL: http://xml.apache.org/
Distribution: Red Hat Linux
Vendor: Apache XML Group
Packager: Henri Gomez <gomez@slib.fr>, Murray Todd Williams <MurrayTodd@yahoo.com>
requires: xalan-j xerces-j
BuildRoot: /var/tmp/%{name}-root
BuildArchitectures: noarch
Prefix: /opt
%define cocoon_home %{prefix}/cocoon

%description
Cocoon brings XML to Apache by using the XSLT technology to convert XML
into other formats including modern-day browser-capable HTML.

%package doc
Group: Applications/Internet
Requires: webserver
Summary: Online manual for Cocoon

%description doc
Documentation for Cocoon, viewable through your web server, too!


%prep

%setup
mv lib/fop_0_12_1.jar fop.jar

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{cocoon_home}/bin/repository
mkdir -p $RPM_BUILD_ROOT%{cocoon_home}/conf
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/doc/%{name}-%{version}
install --mode=0755 %{SOURCE2} $RPM_BUILD_ROOT/usr/bin
install --mode=0755 %{SOURCE3} $RPM_BUILD_ROOT/usr/bin
install --mode=0755 %{SOURCE4} $RPM_BUILD_ROOT/usr/bin
install --mode=0755 %{SOURCE5} $RPM_BUILD_ROOT/usr/bin
cp -pr samples $RPM_BUILD_ROOT%{cocoon_home}
( cd bin && install --mode=0644 cocoon.jar $RPM_BUILD_ROOT%{cocoon_home}/bin/Cocoon.jar )
( cd conf && install --mode=0644 cocoon.properties $RPM_BUILD_ROOT%{cocoon_home}/conf )
( install --mode=0644 ${RPM_BUILD_DIR}/%{name}-%{version}/fop.jar $RPM_BUILD_ROOT%{cocoon_home}/bin )
mkdir -p $RPM_BUILD_ROOT/home/httpd/html/manual/%{name}
cp -prf docs/* $RPM_BUILD_ROOT/home/httpd/html/manual/%{name}
cp -prf xdocs/* $RPM_BUILD_ROOT/home/httpd/html/manual/%{name}
cd $RPM_BUILD_ROOT/home/httpd/html/manual/cocoon/
find . -type d -exec chmod 755 \{\} \;

# set repository and discard dos CR
#sed 's/.\/repository/\/home\/httpd\/repository/' \
#< $RPM_BUILD_ROOT/etc/httpd/conf/jserv/cocoon.properties \
#> $RPM_BUILD_ROOT/etc/httpd/conf/jserv/cocoon.properties.new
#tr -d '\015' < $RPM_BUILD_ROOT/etc/httpd/conf/jserv/cocoon.properties.new \
#> $RPM_BUILD_ROOT/etc/httpd/conf/jserv/cocoon.properties.clean
#mv $RPM_BUILD_ROOT/etc/httpd/conf/jserv/cocoon.properties.clean \
#$RPM_BUILD_ROOT/etc/httpd/conf/jserv/cocoon.properties

%post
if [ -f /etc/httpd/conf/jserv/jserv.properties ] ; then
	/usr/bin/add-%{name}-jserv
fi
if [ -f /opt/tomcat/bin/tomcat.sh ] ; then
    /usr/bin/add-%{name}-tomcat
fi

rm -f /etc/profile.d/%{name}.sh
cat > /etc/profile.d/%{name}.sh <<EOF
#!/bin/bash

if [ -d %{cocoon_home} ]; then
    if [ -z \${COCOON_HOME} ]; then
        export COCOON_HOME=%{cocoon_home}
        export CLASSPATH=\$CLASSPATH:\$COCOON_HOME/bin/Cocoon.jar:\$COCOON_HOME/bin/fop.jar
    fi
fi
EOF
chmod 755 /etc/profile.d/%{name}.sh

%preun
if [ $1 = 0 ]; then
	if [ -f /etc/httpd/conf/jserv/jserv.properties ] ; then
		/usr/bin/remove-%{name}-jserv
 	fi
    if [ -f /opt/tomcat/bin/tomcat.sh ] ; then
        /usr/bin/remove-%{name}-tomcat
    fi

 	rm -f /etc/profile.d/%{name}.sh
fi

%files
%defattr(644 root root 755)
%attr(755,root,root)  	  %dir  	%{cocoon_home}/bin
%attr(755,nobody,nobody)  %dir  	%{cocoon_home}/bin/repository
%attr(755,root,root)  	  %dir  	%{cocoon_home}/conf
%attr( - ,root,root)      %config   %{cocoon_home}/conf/cocoon.properties
%attr( - ,root,root)  				%{cocoon_home}/bin/Cocoon.jar
%attr( - ,root,root)  				%{cocoon_home}/bin/fop.jar
%attr(755,root,root)	  		    /usr/bin/*
%attr(755,root,root)  	  	  		%{cocoon_home}/samples/*
%doc LICENSE 
%doc README 

%files doc
%defattr(644 root root 755)
%attr( - ,root,root)                /home/httpd/html/manual/%{name}

%changelog
* Fri May 19 2000 Henri Gomez <hgomez@slib.fr>
- cocoon 1.7.4

* Tue May 09 2000 Henri Gomez <hgomez@slib.fr>
- cocoon 1.7.3
- modified add-cocoon-tomcat to support new schema for cocoon/tomcat
  duo. Now install cocoon in /opt/tomcat/webapps/cocoon.

* Mon Apr 03 2000 Henri Gomez <gomez@slib.fr>
- cocoon 1.7.2
- distro is now at http://xml.apache.org/cocoon/dist/
- now distro is packaged in tar.gz (good thing)

* Wed Mar 15 2000 Henri Gomez <gomez@slib.fr>
- cocoon 1.7-2
- added add-cocoon-tomcat and remove-cocoon-tomcat to add cocoon to
  tomcat (to be used with xerces-j and xalan-j help)
- tested successfully with xerces-j 1.0.3, xalan-j 0.20.0 and 
  tomcat 3.1b1. 
  All these RPMs are available at ftp://ftp.falsehope.com/home/gomez/ ;-)

* Thu Feb 24 2000 Henri Gomez <gomez@slib.fr>
- cocoon-1.7
- fop 0.12.1 is grabbed from tar archive
- add-cocoon-jserv updated

* Wed Feb 23 2000 Henri Gomez <gomez@slib.fr>
- cocoon-1.16.1-2
- upgraded to use fop-0.12.1 

* Wed Jan 26 2000 Henri Gomez <gomez@slib.fr>
- cocoon-1.6.1
- corrected install greetings which was in preun.
- modified source file. Now get the .jar files from apache/dist
- added two scripts, add-cocoon-jserv and remove-cocoon-jserv to
  dynamically add/remove cocoon support for jserv
- moved cocoon to /opt/Cocoon to follow ant/tomcat/watchdog/xalan-j and
  xerces-j mapping
- removed apache requirement since Cocoon could be use with ApacheJServ 
  and/or tomcat.
- removed CLASSPATH updates in /etc/profile. A /etc/profile.d/Cocoon.sh
  is created instead.

* Wed Jan 26 2000 Henri Gomez <gomez@slib.fr>
- cocoon-1.6-3
- corrected install greetings which was in preun.

* Wed Jan 26 2000 Henri Gomez <gomez@slib.fr>
- cocoon-1.6-2
- added BuildArchitectures: noarch
- modified spec to use BuildRoot, attr, ...
- added fop stuff

* Tue Jan 25 2000 Murray Todd Williams <MurrayTodd@yahoo.com>
- cocoon-1.6-1
- initial RPM

